package main

import (
	"os"
	"time"

	"git.thisco.de/vbatts/fuzz-walker/walker"
)

// NewFuzzer creates the fuzzer for this plugin
func NewFuzzer() (walker.Fuzzer, error) {
	return &myFuzzer{}, nil
}

type myFuzzer struct{}

func (mf myFuzzer) Name() string {
	return "ioctlFuzz"
}

func (mf myFuzzer) Func(path string, info os.FileInfo, timeout time.Duration) error {
	// check whether it is a device file
	//if !info.Mode().IsRegular() {
	//	return nil
	//}

	return nil
}
